birse-product-wishlist-button {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  border: none;
  outline: none;

  place-items: center;
  cursor: pointer;
  display: grid !important;
  place-items: center;
  margin: 0;
  position: relative;
}

birse-product-wishlist-button.dawn-slide {
  position: absolute !important;
  bottom: 8px !important;
  left: 8px !important;
  z-index: 2 !important;
  width: 32px !important;
  height: 32px !important;
  top: unset !important;
}

birse-product-wishlist-button.top-right {
  position: absolute !important;
  top: 8px !important;
  right: 8px !important;
  z-index: 10 !important;
  width: 32px !important;
  height: 32px !important;
  bottom: unset !important;
}

birse-product-wishlist-button.hidden {
  display: none !important;
}

birse-product-wishlist-button::before {
  content: "";
  inset: 0;
  border-radius: 50%;
  background-color: var(--birse-bg-color);
  box-shadow: var(--birse-box-shadow, none);
  position: absolute;
  opacity: 0.7;
  z-index: -1;
}

birse-product-wishlist-button:hover::before {
  opacity: 1;
}

birse-product-wishlist-button svg {
  color: var(--birse-icon-color);
  width: 20px !important;
  height: 20px !important;
}

birse-product-wishlist-button .birse-heart-icon,
birse-product-wishlist-button .birse-heart-active-icon {
  display: none;
  width: 20px;
  height: 20px;
  line-height: 0;
}

birse-product-wishlist-button:not(.active) .birse-heart-icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

birse-product-wishlist-button.active .birse-heart-active-icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

birse-product-wishlist-button .birse-tooltip {
  display: none;
  position: absolute;
  top: calc(100% + 6px);
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--birse-tooltip-bg-color, #24343F);
  color: var(--birse-tooltip-text-color, #ffffff);
  padding: 6px 10px;
  border-radius: 4px;
  z-index: 9999;
  cursor: default;
  font-size: 12px;
  width: max-content;
  max-width: 180px;
  line-height: 1;
}

birse-product-wishlist-button .birse-tooltip::after {
  content: '';
  position: absolute;
  top: -11px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 6px;
  border-style: solid;
  border-color: transparent transparent var(--birse-tooltip-bg-color, #24343F) transparent;
}

birse-product-wishlist-button:hover .birse-tooltip {
  display: block;
}

@media (max-width: 768px) {
  birse-product-wishlist-button .birse-tooltip {
    max-width: 90px;
  }
}


/* 讓 product-image-search 和 product-wishlist 水平排列 */
[id*="product_image_search"]:has(birse-product-button:not(.hidden)),
[id*="product_wishlist"]:has(birse-product-wishlist-button:not(.hidden)) {
  display: inline-flex;
}
[id*="product_image_search"]:has(birse-product-button:not(.hidden)),
[id*="product_wishlist"]:has(birse-product-wishlist-button:not(.hidden)) {
  margin-right: 8px;
}